Paiements
Initier le paiement d'une proposition
Génère le lien de paiement pour l'avenant affaire nouvelle en QUOTE (tarification et avenant doivent exister — créés à la création du contrat).
Authorization
bearerAuth COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USERAuthorizationBearer <token>
Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.
In: header
Scope: COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER
Path Parameters
contractId*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/contracts/string/pay"{
"endorsementId": "d5022e28-c2f5-442a-bf7c-5e66fcd32005",
"premiumId": "3d4938bb-fde8-4bf3-9fc8-916aa04751e5",
"amount": 18280,
"paymentUrl": "https://paiement.pooltpv.app/pay/...",
"paymentReference": "pi_7f2c…",
"expiresAt": null
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}